Skip to main content
GET
List table runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string<uuid>
required

Query Parameters

status
enum<string> | null

Filter by run status.

Available options:
pending,
running,
cancelling,
cancelled,
paused_for_credits,
completed,
completed_with_errors,
failed
trigger
enum<string> | null

Filter by run trigger.

Available options:
cell_edited,
row_added,
row_manual,
column_added,
column_edited,
column_manual
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:id
Available options:
id,
created_at,
updated_at
order_direction
enum<string>
default:asc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
TableRunReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.